org.apache.synapse.commons.throttle.core.impl.domainbase

## Class DomainBaseCallerConfiguration

- java.lang.Object
- - org.apache.synapse.commons.throttle.core.CallerConfiguration
  - - org.apache.synapse.commons.throttle.core.impl.domainbase.DomainBaseCallerConfiguration

-     public class DomainBaseCallerConfiguration
      extends CallerConfiguration

  Caller Configuration implementation for domain name based throttle

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DomainBaseCallerConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getID()` To get ID
    `int` | `getType()` To get the type of the throttle
    `void` | `setID(String ID)` To set ID

    - ### Methods inherited from class org.apache.synapse.commons.throttle.core.CallerConfiguration

      `getAccessState, getMaximumRequestPerUnitTime, getProhibitTimePeriod, getUnitTime, setAccessState, setMaximumRequestPerUnitTime, setProhibitTimePeriod, setUnitTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DomainBaseCallerConfiguration

          public DomainBaseCallerConfiguration()

  - ### Method Detail

    - #### getID

          public String getID()

      Description copied from class: `CallerConfiguration`
      To get ID
      Specified by:
        `getID` in class `CallerConfiguration`
      Returns:
        String value of ID

    - #### setID

          public void setID(String ID)

      Description copied from class: `CallerConfiguration`
      To set ID
      Specified by:
        `setID` in class `CallerConfiguration`
      Parameters:
        `ID` - The id of caller

    - #### getType

          public int getType()

      Description copied from class: `CallerConfiguration`
      To get the type of the throttle
      Specified by:
        `getType` in class `CallerConfiguration`
      Returns:
        the type of the throttle

Copyright © 2005–2018 Apache Software Foundation. All rights reserved.